<script setup lang="ts">
import { onMounted } from 'vue'
import { useHomeStore } from '../store/home'
import { useAuthStore } from '@/stores/auth'
import ThreeBoxSection from '../components/ThreeBoxSection.vue'
import LastSales from '../components/LastSales.vue'
import ExpenseSection from '../components/ExpenseSection.vue'
import ProductAnalytics from '../components/ProductAnalytics.vue'
import IngredientSection from '../components/IngredientSection.vue'

const store = useHomeStore()
const auth = useAuthStore()

onMounted(() => {
  store.setupToday()
  store.fetchAll()
})
</script>

<template>
  <v-container fluid class="h-100">
    <v-row no-gutters>
      <v-col cols="auto">
        <h1>Dashboard</h1>
      </v-col>
      <v-spacer></v-spacer>
      <v-col class="text-end pa-0 ma-0">
        <v-chip size="large" color="orange" prepend-icon="mdi-account">{{
          auth.getCurrentUser()?.role.name.toUpperCase()
        }}</v-chip>
      </v-col>
      <v-col cols="12">
        <v-select
          class="mt-2"
          flat
          variant="solo"
          rounded="lg"
          clearable
          v-model="store.selectBranch"
          label="Select a branch"
          :items="store.getBranch"
          return-object
          item-title="name"
          @update:model-value="
            (v) => {
              if (v) {
                store.fetchSalesByBranchId()
                store.fetchRevenue()
              } else {
                store.fetchSales()
              }
            }
          "
        >
        </v-select>
      </v-col>
    </v-row>
    <v-row>
      <LastSales></LastSales>
      <ThreeBoxSection title="Revenue"></ThreeBoxSection>
      <ExpenseSection></ExpenseSection>
      <ProductAnalytics></ProductAnalytics>
      <IngredientSection></IngredientSection>
    </v-row>
  </v-container>
</template>
